BizKitHub
DocsAPI ReferenceLedger/bff/ledger/journal-template/save
postLedgerAdmin BFF

/bff/ledger/journal-template/save

Create or replace a journal template, or create one from a journal entry

LedgerpostBffLedgerJournal-templateSave

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
idstringOptional
Length: 24–24
namestringRequired
Length: 1–255
descriptionstring | nullOptional
One of 2:
Variant 1
string
Length: 0–500
Variant 2
null
entryDescriptionstring | nullOptional
One of 2:
Variant 1
string
Length: 0–500
Variant 2
null
linesobject[]Optional
Each array item:
labelstring | nullOptional
One of 2:
Variant 1
string
Length: 0–255
Variant 2
null
accountCodestringRequired
Length: 3–16
side"debit" | "credit"Required
defaultAmountnumber | string | nullOptional
One of 3:
Variant 1
number
Variant 2
string
Variant 3
null
descriptionstring | nullOptional
One of 2:
Variant 1
string
Length: 0–500
Variant 2
null
dimensionValueIdsstring[]Optional
fromEntryIdstringOptional
Length: 24–24
keepAmountsbooleanOptional

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

POST /bff/ledger/journal-template/save

post
curl -X POST "https://api.bizkithub.com/bff/ledger/journal-template/save" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "id": "example_id",
  "name": "example_name",
  "lines": [
    {
      "accountCode": "example_accountCode",
      "dimensionValueIds": [
        "string"
      ]
    }
  ],
  "fromEntryId": "example_fromEntryId",
  "keepAmounts": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key